// testpdfocxDlg.h : header file
//
//{{AFX_INCLUDES()
#include "pdfocx.h"
//}}AFX_INCLUDES

#if !defined(AFX_TESTPDFOCXDLG_H__A05B95C2_B234_476E_9E57_B39FD8C0C5F6__INCLUDED_)
#define AFX_TESTPDFOCXDLG_H__A05B95C2_B234_476E_9E57_B39FD8C0C5F6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTestpdfocxDlg dialog
class CTestpdfocxDlg : public CDialog
{
// Construction
public:
	BOOL OpenPage(int page);
	CTestpdfocxDlg(CWnd* pParent = NULL);	// standard constructor

	CString strTempText;
	void ShowPopupMenu();
	void ShowCommentInfo();
	BOOL IsPDFModified();
// Dialog Data
	//{{AFX_DATA(CTestpdfocxDlg)
	enum { IDD = IDD_TESTPDFOCX_DIALOG };
	CPdfocx	m_ctrlPDFOcx;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestpdfocxDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTestpdfocxDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg LRESULT OnMessageCallback(WPARAM, LPARAM);
	afx_msg void OnButtonGettext();
	afx_msg void OnButtonHidebuttons();
	afx_msg void OnButtonShowbuttons();
	afx_msg void OnDestroy();
	afx_msg void OnClose();
	afx_msg void OnButtonPdf2image();
	afx_msg void OnButtonSelectIcon();
	afx_msg void OnButtonClosepdf();
	afx_msg void OnButtonIsmodified();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTPDFOCXDLG_H__A05B95C2_B234_476E_9E57_B39FD8C0C5F6__INCLUDED_)
